<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизованы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >назад</a>.</p>
		  </div>';
} else {
    $proverka = mysql_query( "SELECT * FROM klink WHERE iduser = '" . $_SESSION['iduser'] . "' and id = '" . ( int ) $_GET['id'] . "'" );
    $pr_row = mysql_fetch_array( $proverka );
    
    if ( mysql_num_rows( $proverka ) == 0 ) {
        echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
				<button type="button" class="close" data-dismiss="alert" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				<h5 class="alert-heading">Ошибка!</h5>
				<p style="font-size: 14px;">Рекламная площадка не существует или удалена. </p>
				<p style="font-size: 14px;" class="m-b-0">Для возврата на предыдущую страницу нажмите <a class="a_link" href="/mklink" >назад</a>.</p>
			  </div>';
    } else
    if ( $pr_row['paused'] == 1 ) {
        echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
				<button type="button" class="close" data-dismiss="alert" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				<h5 class="alert-heading">Внимание!</h5>
				<p style="font-size: 14px;">Перед редактированием необходимо приостановить рекламную площадку, а затем уже приступать к редактированию.</p>
				<p style="font-size: 14px;" class="m-b-0">Для возврата на предыдущую страницу нажмите <a class="a_link" href="/mklink" >назад</a>.</p>
			  </div>';
    } else {
        ?>
        <script type="text/javascript">
        $(document).ready(function(){
            $('.help_input').tipTip({defaultPosition:'right'});
        });
        
        function upklink() {
			
			$('#error_title_form1').fadeOut();
			$('#error_title_form2').fadeOut();
			$('#error_title_form3').fadeOut();
			$('.inputStart_title').css({border: '1px solid #000'});
			$('.inputStart_description').css({border: '1px solid #000'});
			$('.inputStart_url').css({border: '1px solid #000'});
			
            $.ajax({
                type: 'POST',
                url: 'ajax.php?func=upklink',
                data: ({id: <?=$pr_row['id']?>, title: $('#title').val(), description: $('#description').val(), url: $('#url').val()}),
                dataType: 'html',
                beforeSend: function() {
                    $('.btn_box').css({display:'none'});
                    $('.pajax').css({display:'block'});
                    if ( $('#title').val() != '' && $('#description').val() != '' && $('#url').val() != '' ) {
                        $('.pajax').css({display:'block'}).html('проверка на вирусы - [ Dr.web ]');
                    }
                },
                success: function(data) {
                    if(data == 1) {
                        $('.btn_box').css({display:'inline-block'});
                        $('.pajax').css({display:'none'});
                        document.location.href = 'mklink';
                    } else 
					if(data == 2) {
						$('#error_title_form1').fadeIn();
						$('.div_form_eror_title').fadeIn().html('Вы не указали заголовок!');
						$('.inputStart_title').css({border: '1px solid #E85854'});
						$('.pajax').css({display:'none'});
					} else 
					if(data == 3) {
						$('#error_title_form2').fadeIn();
						$('.div_form_eror_title').fadeIn().html('Вы не указали описание!');
						$('.inputStart_description').css({border: '1px solid #E85854'});
						$('.pajax').css({display:'none'});
					} else 
					if(data == 4) {
						$('#error_title_form3').fadeIn();
						$('.div_form_eror_title').fadeIn().html('Вы не указали url!');
						$('.inputStart_url').css({border: '1px solid #E85854'});
						$('.pajax').css({display:'none'});
					} else {
                        $('.erroralert').fadeIn(500).html(data);
                        setTimeout(function() {
                            $('.erroralert').fadeOut(500).html('&nbsp;');
                        }, 4000);
                        $('.btn_box').css({display:'inline-block'});
                        $('.pajax').css({display:'none'});
                    }
                }
            });
            return false;
        }
        </script>
		
		<link media="all" type="text/css" rel="stylesheet" href="/theme/css/input_form_fix.css" />
		
        <nav class="breadcrumb breadcrumb_stabilizator" style="background: #F7F7F7; border-radius: 1px;">
			<a class="breadcrumb-item" href="/mklink">Управление рекламой</a>
			<span class="breadcrumb-item active">Редактирование</span>
		</nav>
		
		<div class="content_bar">
			<article class="postBox">
								
				<!--Блок всплывающей подсказки (конец)-->
				<h5><a>Редактирование площадки № <?=$pr_row['id']?></a></h5><br>
								
				<div class="div_form">
					<table class=" table_form">
						<tr>
							<td class="td_form" >Заголовок ссылки:</td>
							<td class="" >
								<input class="inputStart_title" type="text" placeholder="укажите краткий заголовок рекламной кампании" id="title" maxlength="55" value="<?=$pr_row['title']?>" />
								<div style="display:none;" id="error_title_form1">
									<div class="eror_form"></div>
									<div class="div_form_eror_title"></div>
								</div>
							</td>
						</tr>
						<tr>
							<td class="td_form">Краткое описание ссылки:</td>
							<td class="" >
								<input class="inputStart_description" type="text" placeholder="укажите краткое описание рекламной кампании" id="description" maxlength="55" value="<?=$pr_row['description']?>" />
								<div style="display:none;" id="error_title_form2">
									<div class="eror_form"></div>
									<div class="div_form_eror_title"></div>
								</div>
							</td>
						</tr>
						<tr>
							<td class="td_form">URL сайта:</td>
							<td class="" >
								<input class="inputStart_url" type="text" placeholder="обязательно укажите ссылку начиная с http:/https:" id="url" value="<?=$pr_row['url']?>" />
								<div style="display:none;" id="error_title_form3">
									<div class="eror_form"></div>
									<div class="div_form_eror_title">Внимание, ссылка указанна не верно!</div>
								</div>
							</td>
						</tr>
						<tr>
							<td class="td_form">Стоимость одного визита:</td>
							<td class=""><div class="formPrice"><span style="font-size: 16px;" id="summa"><?=$config['klink']?></span> <?=$config['valutaname']?></div></td>
						</tr>
						<tr>
							<td class="td_form"><img src="/theme/images/preload.gif" class="pajax" style="display: none;"/></td>
							<td class="">
								<br><div class="more-link"><a href="#" onclick="upklink(); return false;">Сохранить</a></div><br><br>
							</td>
						</tr>
						<tr>
							<td class="td_form"></td>
							<td class="td_form" colspan="2"><div class="erroralert" ></div></td>
						</tr>
					</table>
				</div>
				<br>
			</article>
		</div>
        <?
    }
}
?>